@import 'mixin';
@include pulse;

//----------------------------------------------START PAGE
.startpage--main {
  background-color: #437D96;
  margin: -8px;
  padding-bottom: 15px;
  height: 101vh;

  .grid__item {
    width: 100%;
    @media(max-width:640px) {
      width: 100%;
      height: 100vh;
    }

    .start-page--button {
      background-image: url('./assets/button-png.png');
      margin-top: 10%;
      margin-left: -265px;
      width: 600px;
      animation: pulse 2s infinite;
      
      @media(max-width: 640px){
        margin-top: 190px;
        width: 300px;
        margin-left: -130px;
      }
    }
    .start-button:hover {
      cursor: pointer;
    }

    .start-page--icon {
      width: 80px;
      margin-bottom: 260px;
      margin-left: -360px;
      opacity: 1;
      transition: 1s;
      animation: pulse 2s infinite;
      z-index: 3;

      @media(max-width: 640px) {
        width: 60px;
        margin-bottom: 120px;
        margin-left: -200px;
      }
    }
    
    h2 {
      opacity: 0;
      position: fixed;
      left: 48%;
      transform: translate(-50%, 0);
      margin-top: -370px;
      padding-left: 50px;
  
      font-size: 2.3rem;
      text-transform: uppercase;
      color: rgb(211, 245, 255);

      transition: 0.8s;

      @media(max-width:640px) {
        display: none;
      }
    }

    .hover:hover .start-page--icon {
      opacity: 0;
      @media(max-width:640px) {
        opacity: 1;
      }
    }
    .hover:hover h2 {
      opacity: 1;
    }
  }
}



